// Package main is the entry point for the discovery service.
package main

import (
	"github.com/tech/sendico/discovery/internal/appversion"
	si "github.com/tech/sendico/discovery/internal/server"
	"github.com/tech/sendico/pkg/mlogger"
	"github.com/tech/sendico/pkg/server"
	smain "github.com/tech/sendico/pkg/server/main"
)

//nolint:ireturn // factory returns interface by design
func factory(logger mlogger.Logger, file string, debug bool) (server.Application, error) {
	return si.Create(logger, file, debug) //nolint:wrapcheck
}

func main() {
	smain.RunServer("main", appversion.Create(), factory)
}
